Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
Body Params application/json
{
"external_id": "string",
"firstname": "string",
"middlename": "string",
"lastname": "string",
"email": "string",
"phone": "string",
"gender": "string",
"identity_number": "string",
"birthdate": "string"
}
Request Code Samples
curl --location --request PATCH 'https://test.your-api-server.com/mintedapi/Customer/update' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"external_id": "string",
"firstname": "string",
"middlename": "string",
"lastname": "string",
"email": "string",
"phone": "string",
"gender": "string",
"identity_number": "string",
"birthdate": "string"
}'
Responses
application/json
{
"data": {
"id": 2,
"external_id": "MTD0018232",
"company_id": 2000000,
"user_id": null,
"firstname": "Mehmet",
"middlename": null,
"lastname": "Gülbilge",
"fullname": "Mehmet Gülbilge",
"email": "m.gulbilge@gmail.com",
"phone": null,
"gender": null,
"identity_number": null,
"birthdate": null,
"created_at": "2023-03-05 04:51:18",
"updated_at": "2023-03-05 04:51:18"
},
"success": true,
"code": 0,
"message": ""
}
Modified at 2024-12-30 14:34:31